<center><h4>АККАУНТ</H4><hr>
| <a href="index.php?id=reg_false">Регистрация</a> 
| <a href="index.php?id=changepassword2">Сменить пароль</a> 
| <a href=index.php?id=msg>Написать GMу</a>|<br><hr>
 </center><ul> 
<H4>Сменить пароль</h4>
<br><br>
 <ul>
<LI> Аккаунт и пароль не могут быть пустыми.<BR>
<LI> Аккаунт и пароль не могут содержать менее 4 знаков
и больее 15 знаков.<BR>
<LI>Аккаунт и пароль пишутся латинскими буквами или цифрами.<BR><BR><BR>
</ul> 

<script type="text/javascript">//<![CDATA[
function isAlphaNumeric(value)
{
  if (value.match(/^[a-zA-Z0-9]+$/))
    return true;
  else
    return false;
}
function checkform(f)
{
  if (f.account.value=="")
  {
    alert("Заполните все поля формы");
    return false;
  }
  if (!isAlphaNumeric(f.account.value))
  {
    alert("Заполните все поля формы");
    return false;
  }
  if (f.oldpassword.value=="")
  {
    alert("Не введен старый пароль");
    return false;
  }
  if (f.newpassword.value=="")
  {
    alert("Не введен пароль");
    return false;
  }
  if (!isAlphaNumeric(f.newpassword.value))
  {
    alert("44444");
    return false;
  }
  if (f.newpassword2.value=="")
  {
    alert("Не введен повтор пароля");
    return false;
  }
  if (f.newpassword.value!=f.newpassword2.value)
  {
    alert("Не совпадает пароль");
    return false; 
  }
return true;
}
//]]></script>
</head>
<body>
<form method="post" action="index.php?id=changepassword2" onsubmit="return checkform(this)">
<table>
 <tr>
  <td>Логин</td>
  <td><input maxlength="15" name="account" type="text" /></td>
 </tr>
 <tr>
  <td>Старый пароль</td>
  <td><input maxlength="15" name="oldpassword" type="password" /></td>
 </tr>
 <tr>
  <td>Новый пароль</td>
  <td><input maxlength="15" name="newpassword" type="password" /></td>
 </tr>
 <tr>
  <td>Повторить пароль</td>
  <td><input maxlength="15" name="newpassword2" type="password" /></td>
 </tr>
 <tr>
  <td colspan="2" style="text-align: center;"><br /><input type="submit" name="submit" value="Сменить" /></td>
 </tr>
</table>
</form>

<?php
if(ereg("^([a-zA-Z0-9_-])*$", $_POST['account']) && ereg("^([a-zA-Z0-9_-])*$", $_POST['oldpassword']) && ereg("^([a-zA-Z0-9_-])*$", $_POST['newpassword']) && ereg("^([a-zA-Z0-9_-])*$", $_POST['newpassword2']))
{
	if ($page='index.php' && $_POST['account'] && strlen($_POST['account'])<16 && $_POST['oldpassword'] && $_POST['newpassword'] && $_POST['newpassword']==$_POST['newpassword2'])
	{
  	$result=mysql_query("SELECT login,password FROM accounts WHERE login='".@mysql_real_escape_string($_POST['account'])."' AND password='".base64_encode(pack('H*', sha1($_POST['oldpassword'])))."'", $link)
	    or die ("Error: ".mysql_error());
  	if (mysql_num_rows($result))
  	{
    	mysql_query("UPDATE accounts SET password='".base64_encode(pack('H*', sha1($_POST['newpassword'])))."' WHERE login='".mysql_real_escape_string($_POST['account'])."'", $link)
      	or die ("Error: ".mysql_error());
	    print "<p style=\"font-weight: bold;\">Смена пароля прошла успешно</p>";
  	}
  	else
	    print "<p class=\"error\">Ну вот :( как всегда  чего-то не сработало, давай еще разок пробуй. </p>";
  	mysql_close($link);
	}
}
else
{
	echo "Введенные вами данные не прошли проверку на безопасность. Если вы уверены что ввели правильные данные, пожалуйста, обратитесь к администрации.";
}
?><br><br><br><br><br><br><br><br>


    
           
